#ifndef defines_header
#define defines_header

/***********************/
/* NUMERICAL CONSTANTS */
/***********************/

#define PACMAN_VERSION_STRING	"PACMAN v1.0"

#define WAIT_QUANTA	(5600)
#define MENU_WAIT		(42000)

#define MENU_QUIT		(0)
#define PLAY_CLASSIC	(1)
#define PLAY_TIMED	(2)

#define NUM_OF_LEVELS	(15)
#define DIFFICULTY	(3)

#define SIZE_OF_LEVEL		(725)
#define SIZE_OF_SPRITE		(4)
#define SIZE_OF_OBJ_SPRITE	(6)
#define SIZE_OF_LVL_PIC		(60)
#define SIZE_OF_NUM_PIC		(20)
#define SIZE_OF_TITLESP		(130)

#define BOARDPICS_OFFSET	(0)
#define OBJPICS_OFFSET		(68)
#define LVLPIC_OFFSET		(146)
#define NUMPICS_OFFSET		(206)
#define LEVELS_OFFSET		(406)
#define INTROPIC_OFFSET		(11281)
#define TITLESP_OFFSET		(13121)

#define HSNAMES_OFFSET		(0)
#define HSSCORES_OFFSET		(54)
#define HSNAMES_T_OFFSET	(78)
#define HSSCORES_T_OFFSET	(132)

#define TILE_HEIGHT		(4)
#define OBJ_HEIGHT		(6)
#define WAIT_FRAMES		(20)

#define RIGHT	(0)
#define UP		(1)
#define LEFT	(2)
#define DOWN	(3)

#define PACMAN_OBJECT	(0)
#define GHOST_OBJECT	(1)
#define FRUIT_OBJECT	(2)

#define APPLE	(2)
#define BANANA	(1)
#define HEART	(0)

#define MSG_GO	(0)
#define MSG_INFO	(1)

#define DATA_FILE (0)
#define HSC_FILE	(1)


// these are easier to recognize aliases
// for the different uses of OBJECT vars
// ***Ghost Aliases***
#define cage_delay	ghosts_eaten
#define vulnerable	ani_delay
// ***Fruit Aliases***
#define is_on_screen	ghosts_eaten
#define f_type		ani_delay

#endif