
/***** ============================= *****/
/*****  PACMAN 68K BY MARK PERETICH  *****/
/***** ============================= *****/

#include "CompileOpts.h"      // Compiler Options
#include <tigcclib.h>         // Library Header Files
#include "Defines.h"          // Numerical Constants
#include "Typedefs.h"         // Custom Defined Types
#include "Prototypes.h"       // Function Prototypes
#include "extgraph.h"         // Graphics Routines



/**BEGIN GLOBAL VARIABLES**/
BOOL is_on_vti = FALSE;
INT_HANDLER save_ai1 = DUMMY_HANDLER;
INT_HANDLER save_ai5 = DUMMY_HANDLER;
signed short int level = 0;
signed char * level_data = NULL;
signed char * hot_spots = NULL;
unsigned char * lvls_ptr = NULL;
unsigned char * hscr_ptr = NULL;
signed short int game_type = PLAY_CLASSIC;
unsigned long int score = 0;
signed short int lives = 0;
signed short int limiting_factor = 0;
unsigned char * screenholder = NULL;
OBJECT pacman = {0,0,0,0,RIGHT,0,0,RIGHT,PACMAN_OBJECT};
OBJECT ghost[4] = {{0,0,0,0,RIGHT,0,0,RIGHT,GHOST_OBJECT},
                   {0,0,0,0,RIGHT,0,0,RIGHT,GHOST_OBJECT},
                   {0,0,0,0,RIGHT,0,0,RIGHT,GHOST_OBJECT},
                   {0,0,0,0,RIGHT,0,0,RIGHT,GHOST_OBJECT}};
OBJECT fruit = {0,0,0,0,RIGHT,0,0,RIGHT,FRUIT_OBJECT};
/***END GLOBAL VARIABLES***/



void _main (void)
{
signed short int selection;
BOOL play = TRUE;

play = initialize();

while (play)
	{
	selection = menu();

	if (selection) play_pacman();
	else break;
	}

quit();
}