	.file	"Pacman.c"
#NO_APP
/* Include Patch: __not_reg_relative */
	.macro __save_the_stack_pointer
		move.l %sp,__save__sp__
	.endm
	.data
tigcc_compiled.:
	.set _A_LINE,0xA000
#APP
/* Main Startup Code */
	.even
	.set __test_for_calc_num__,0
	move.l 0xC8,%a0
	/* Calculator Detection */
	moveq #1,%d0
	move.l %a0,%d1
	and.l #0x400000,%d1
	jbne __calc_in_d0__
	clr.w %d0
	move.l (%a0,0x2F*4),%a1 /* ScrRect */
	cmp.b #200,2(%a1)
	jbcs __calc_in_d0__
	moveq #3,%d0
__calc_in_d0__:
	cmp.w #__test_for_calc_num__,%d0
	jbeq __calc_is_OK__
	pea.l __wrong_calc__
__display_message_and_exit__:
	move.l (%a0,0xE6*4),%a0 /* ST_helpMsg */
	jsr (%a0)
	addq.l #4,%sp
	rts
__calc_is_OK__:
	/* Screen Saving Support */
	pea.l (%a2)
	lea (%sp,-3840),%sp
	pea 3840
	pea 0x4C00
	pea (%sp,8)
	move.l (%a0,0x26A*4),%a2 /* memcpy */
	jsr (%a2)
	/* Support for exit and atexit */
	movem.l %d3-%d7/%a2-%a6,-(%sp)
	jbsr _main
	movem.l (%sp)+,%d3-%d7/%a2-%a6
	/* Screen Saving Support (Restoring) */
	pea 3840
	pea (%sp,16)
	pea 0x4C00
	jsr (%a2)
	lea (%sp,3864),%sp
	movea.l (%sp)+,%a2
	rts
	.xdef __save__sp__
	.even
__save__sp__:
	.long 0
	.even
__wrong_calc__:
	.asciz "Wrong calculator model"
	.even
#NO_APP
#APP
	.xdef _ti89
	/* Include Patch: _detect_calc_ */
	/* Include Patch: _test_for_specific_calc_ */
	/* Include Patch: _test_for_89_ */
	/* Include Patch: _dont_need_calculator_var_ */
	/* Include Patch: _MIN_AMS_not_required_ */
	/* Include Patch: dont_set_file_inuse_bit */
	/* Include Patch: nostub_patch */
	/* Include Patch: nostub_optimize_rom_calls */
	/* Include Patch: nostub_save_screen */
	/* Include Patch: no_retval */
	/* Include Patch: nostub_exit_support */
	/* Include Patch: save_the_sp */
	/* Include Patch: complex_main */
	.set MT_TEXT,0x8000
	.set MT_XREF,0x9000
	.set MT_ICON,0xA000
	.set MT_CASCADE,0x4000
#NO_APP
	.globl	is_on_vti
	.data
	.even
is_on_vti:
	.word	0
	.globl	save_ai1
	.even
save_ai1:
	.long	__dummy_handler__
	.globl	save_ai5
	.even
save_ai5:
	.long	__dummy_handler__
	.globl	level
	.even
level:
	.word	0
	.globl	level_data
	.even
level_data:
	.long	0
	.globl	hot_spots
	.even
hot_spots:
	.long	0
	.globl	lvls_ptr
	.even
lvls_ptr:
	.long	0
	.globl	hscr_ptr
	.even
hscr_ptr:
	.long	0
	.globl	game_type
	.even
game_type:
	.word	1
	.globl	score
	.even
score:
	.long	0
	.globl	lives
	.even
lives:
	.word	0
	.globl	limiting_factor
	.even
limiting_factor:
	.word	0
	.globl	screenholder
	.even
screenholder:
	.long	0
	.globl	pacman
	.even
pacman:
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.globl	ghost
	.even
ghost:
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	1
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	1
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	1
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	1
	.globl	fruit
	.even
fruit:
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	2
	.data
	.even
	.globl	_main
_main:
#APP
	move.l %sp,__save__sp__
	/* Support for OPTIMIZE_ROM_CALLS */
	move.l 0xC8,%a5
#NO_APP
	link.w %a6,#0
	move.l %d3,-(%sp)
	jbsr initialize
	move.w %d0,%d3
	jbeq .L3
	.even
.L7:
	jbsr menu
	tst.w %d0
	jbeq .L3
	jbsr play_pacman
	tst.w %d3
	jbne .L7
.L3:
	jbsr quit
	move.l -4(%a6),%d3
	unlk %a6
	rts
.comm _nostub,2
