	.file	"Play.c"
#NO_APP
/* Include Patch: __not_reg_relative */
	.macro __save_the_stack_pointer
		move.l %sp,__save__sp__
	.endm
	.data
tigcc_compiled.:
	.set _A_LINE,0xA000
#APP
	.xdef _ti89
	/* Include Patch: _detect_calc_ */
	/* Include Patch: _test_for_specific_calc_ */
	/* Include Patch: _test_for_89_ */
	/* Include Patch: _dont_need_calculator_var_ */
	/* Include Patch: _MIN_AMS_not_required_ */
	/* Include Patch: dont_set_file_inuse_bit */
	/* Include Patch: nostub_patch */
	/* Include Patch: nostub_optimize_rom_calls */
	/* Include Patch: nostub_save_screen */
	/* Include Patch: no_retval */
	/* Include Patch: nostub_exit_support */
	/* Include Patch: save_the_sp */
	/* Include Patch: complex_main */
	.set MT_TEXT,0x8000
	.set MT_XREF,0x9000
	.set MT_ICON,0xA000
	.set MT_CASCADE,0x4000
#NO_APP
	.data
	.even
	.globl	play_pacman
play_pacman:
	link.w %a6,#0
	jbsr init_globals
	cmp.w #-1,level.l
	jbeq .L7
	.even
.L5:
	jbsr get_level_data
	jbsr play_level
	cmp.w #-1,level.l
	jbne .L5
.L7:
	jbsr game_over
	jbsr high_score
	unlk %a6
	rts
	.even
	.globl	get_level_data
get_level_data:
	link.w %a6,#0
	move.l %a2,-(%sp)
	move.l %d3,-(%sp)
	clr.w %d3
	move.w level,%d1
	moveq.l #15,%d2
	ext.l %d1
	divs.w %d2,%d1
	move.l %d1,%d0
	swap %d0
	muls.w #725,%d0
	move.l lvls_ptr,%a0
	lea (%a0,%d0.w),%a0
	pea 725.w
	pea 406(%a0)
	move.l level_data,-(%sp)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	clr.w %d1
	move.l level_data,%a1
	move.w game_type,%d2
	.even
.L14:
	move.w %d1,%a0
	move.b (%a0,%a1.l),%d0
	subq.b #1,%d0
	cmp.b #1,%d0
	jbhi .L9
	addq.w #1,%d3
	cmp.w #2,%d2
	jbeq .L32
.L9:
	addq.w #1,%d1
	cmp.w #724,%d1
	jble .L14
	cmp.w #1,%d2
	jbeq .L33
	move.w level,%d0
	move.w %d0,%d1
	lsl.w #3,%d1
	add.w %d0,%d1
	add.w %d0,%d1
	add.w #20,%d1
	move.w %d1,limiting_factor
.L16:
	clr.w %d1
.L26:
	clr.w %d0
	move.w %d1,%a2
	cmp.b #2,1(%a2,%a1.l)
	jbgt .L20
	moveq.l #1,%d0
.L20:
	lea (%a1,%a2.l),%a0
	cmp.b #2,-1(%a0)
	jbgt .L21
	addq.w #1,%d0
.L21:
	cmp.b #2,-29(%a0)
	jbgt .L22
	addq.w #1,%d0
.L22:
	cmp.b #2,29(%a1,%a2.l)
	jbgt .L23
	addq.w #1,%d0
.L23:
	cmp.w #2,%d0
	jble .L24
	move.l hot_spots,%a0
	move.b #1,(%a2,%a0.l)
.L17:
	move.w %d1,%d0
	addq.w #1,%d1
	cmp.w #724,%d0
	jbgt .L34
	move.l level_data,%a1
	jbra .L26
	.even
.L24:
	move.l hot_spots,%a0
	clr.b (%a2,%a0.l)
	jbra .L17
	.even
.L33:
	move.w %d3,limiting_factor
	jbra .L16
	.even
.L32:
	clr.b (%a0,%a1.l)
	move.l level_data,%a1
	move.w game_type,%d2
	jbra .L9
	.even
.L34:
	move.l hot_spots,%a0
	move.b #1,275(%a0)
	move.l -8(%a6),%d3
	move.l -4(%a6),%a2
	unlk %a6
	rts
	.even
	.globl	spawn_pacman
spawn_pacman:
	link.w %a6,#0
	move.w #14,pacman
	move.w #15,pacman+2
	clr.w pacman+4
	clr.w pacman+6
	clr.w pacman+8
	clr.w pacman+10
	clr.w pacman+12
	clr.w pacman+14
	unlk %a6
	rts
	.even
	.globl	spawn_ghost
spawn_ghost:
	link.w %a6,#-16
	move.w #14,-16(%a6)
	move.w #11,-14(%a6)
	move.w #12,-12(%a6)
	move.w #12,-10(%a6)
	move.w #16,-8(%a6)
	move.w #12,-6(%a6)
	move.w #14,-4(%a6)
	move.w #13,-2(%a6)
	move.w 8(%a6),%d1
	ext.l %d1
	lea ghost,%a0
	move.l %d1,%d0
	lsl.l #4,%d0
	add.l %d1,%d0
	add.l %d1,%d0
	lsl.l #2,%d1
	lea (%a6,%d1.l),%a1
	move.w -16(%a1),(%a0,%d0.l)
	lea (%a0,%d0.l),%a0
	move.w -14(%a1),2(%a0)
	clr.w 4(%a0)
	clr.w 6(%a0)
	clr.w 8(%a0)
	clr.w 10(%a0)
	move.w #120,12(%a0)
	clr.w 14(%a0)
	unlk %a6
	rts
	.even
	.globl	spawn_fruit
spawn_fruit:
	link.w %a6,#0
	move.l %a2,-(%sp)
	lea rand,%a2
	jbsr (%a2)
	and.l #0xFFFF,%d0
	clr.l %d1
	clr.l %d2
	jbmi .L43
.L38:
	moveq.l #14,%d2
	lsr.l %d2,%d0
	muls.w #28,%d0
	move.w %d0,fruit
	move.w #12,fruit+2
	clr.w fruit+4
	clr.w fruit+6
	move.w %d0,%d1
	ext.l %d1
	divs.w %d2,%d1
	move.w %d1,fruit+8
	jbsr (%a2)
	mulu.w #7,%d0
	clr.l %d1
	clr.l %d2
	jbmi .L44
.L40:
	moveq.l #15,%d2
	asr.l %d2,%d0
	tst.w %d0
	jbne .L39
	clr.w fruit+10
	jbra .L41
	.even
.L39:
	jbsr (%a2)
	and.l #0xFFFF,%d0
	clr.l %d1
	clr.l %d2
	jbmi .L45
.L42:
	moveq.l #14,%d2
	asr.l %d2,%d0
	addq.w #1,%d0
	move.w %d0,fruit+10
	jbra .L41
	.even
.L45:
	add.l #16383,%d0
	jbra .L42
	.even
.L44:
	add.l #32767,%d0
	jbra .L40
	.even
.L43:
	add.l #16383,%d0
	jbra .L38
	.even
.L41:
	move.w #1,fruit+12
	move.w fruit+8,fruit+14
	move.l -4(%a6),%a2
	unlk %a6
	rts
.LC0:
	.ascii "Ready...\0"
	.even
	.globl	play_level
play_level:
	link.w %a6,#0
	movm.l #0x1e30,-(%sp)
	tst.w lives
	jblt .L79
.L77:
	jbsr spawn_pacman
	clr.w -(%sp)
	lea spawn_ghost,%a2
	jbsr (%a2)
	move.w #1,-(%sp)
	jbsr (%a2)
	move.w #2,-(%sp)
	jbsr (%a2)
	move.w #3,-(%sp)
	jbsr (%a2)
	clr.w fruit+12
	clr.w %d5
	clr.w %d6
	move.w #60,ghost+12
	move.w #120,ghost+30
	move.w #180,ghost+48
	move.w #240,ghost+66
	jbsr draw_level_text
	jbsr draw_level
	jbsr draw_score
	pea 19456.w
	move.l screenholder,-(%sp)
	jbsr FastCopyScreen
	jbsr draw_pacman
	jbsr draw_ghosts
	move.w #1,-(%sp)
	pea .LC0
	jbsr text_box
	lea (22,%sp),%sp
	tst.w %d0
	jbeq .L79
	move.l #42000,-(%sp)
	jbsr wait
	addq.l #4,%sp
	move.w limiting_factor,%d0
	jble .L52
.L75:
	pea pacman
	jbsr move_obj
	clr.w %d4
	addq.l #4,%sp
	moveq.l #0,%d3
	lea ghost,%a2
	move.l %a2,%a3
.L61:
	move.w %d4,%d3
	move.l %d3,%d0
	lsl.l #4,%d0
	add.l %d3,%d0
	move.l %d0,%a0
	add.l %d3,%a0
	add.l #ghost+10,%a0
	tst.w (%a0)
	jbeq .L58
	tst.w %d5
	jbne .L88
.L56:
	lea (18,%a3),%a3
	lea (18,%a2),%a2
	addq.w #1,%d4
	cmp.w #3,%d4
	jbls .L61
	addq.w #1,%d5
	cmp.w #3,%d5
	jbeq .L89
	pea fruit
	jbsr move_obj
	addq.l #4,%sp
.L63:
	cmp.w #2,game_type.l
	jbeq .L90
.L64:
	pea 19456.w
	move.l screenholder,-(%sp)
	jbsr FastCopyScreen
	jbsr draw_fruit
	jbsr draw_ghosts
	jbsr draw_pacman
	move.w pacman+2,%d0
	muls.w #29,%d0
	add.w pacman,%d0
	move.l level_data,%a0
	addq.l #8,%sp
	cmp.b #1,(%a0,%d0.w)
	jbeq .L91
.L66:
	move.w pacman+2,%d0
	muls.w #29,%d0
	add.w pacman,%d0
	cmp.b #2,(%a0,%d0.w)
	jbeq .L92
.L67:
	jbsr fruit_collide
	cmp.w #1,%d0
	jbeq .L93
.L68:
	jbsr ghost_collide
	cmp.w #1,%d0
	jbeq .L83
	jbsr rand
	mulu.w #150,%d0
	clr.l %d1
	clr.l %d2
	jbmi .L94
.L71:
	moveq.l #15,%d2
	asr.l %d2,%d0
	tst.w %d0
	jbne .L70
	tst.w fruit+12
	jbeq .L95
.L70:
	move.w #-65,-(%sp)
	lea _rowread,%a2
	jbsr (%a2)
	and.w #1,%d0
	addq.l #2,%sp
	jbne .L84
	move.w #-2,-(%sp)
	jbsr (%a2)
	and.w #16,%d0
	addq.l #2,%sp
	jbne .L74
	move.w #-3,-(%sp)
	jbsr (%a2)
	and.w #1,%d0
	addq.l #2,%sp
	jbeq .L73
.L74:
	jbsr pause
.L51:
	move.w limiting_factor,%d0
	jbgt .L75
.L52:
	tst.w %d0
	jble .L96
	tst.w lives
	jbge .L77
.L79:
	move.w #-1,level
	jbra .L46
	.even
.L96:
	addq.w #1,level
	jbra .L46
	.even
.L73:
	pea 5600.w
	jbsr wait
	addq.l #4,%sp
	jbra .L51
	.even
.L84:
	move.w #-1,level
	move.w #-1,lives
.L86:
	move.w limiting_factor,%d0
	jbra .L52
	.even
.L95:
	jbsr spawn_fruit
	jbra .L70
	.even
.L94:
	add.l #32767,%d0
	jbra .L71
	.even
.L83:
	subq.w #1,lives
	jbra .L86
	.even
.L93:
	jbsr kill_fruit
	jbra .L68
	.even
.L92:
	jbsr start_ghost_count
	jbsr eat_dot
	jbra .L67
	.even
.L91:
	jbsr eat_dot
	move.l level_data,%a0
	jbra .L66
	.even
.L90:
	addq.w #1,%d6
	cmp.w #28,%d6
	jbne .L64
	subq.w #1,limiting_factor
	addq.l #1,score
	jbsr draw_score
	clr.w %d6
	jbra .L64
	.even
.L89:
	clr.w %d5
	jbra .L63
	.even
.L88:
	move.l %a2,-(%sp)
.L85:
	jbsr move_obj
	addq.l #4,%sp
	jbra .L56
	.even
.L58:
	move.l %a3,-(%sp)
	jbra .L85
	.even
.L46:
	movm.l -24(%a6),#0xc78
	unlk %a6
	rts
	.even
	.globl	eat_dot
eat_dot:
	link.w %a6,#0
	move.l %a3,-(%sp)
	move.l %a2,-(%sp)
	cmp.w #1,game_type.l
	jbeq .L100
.L98:
	jbsr draw_score
	move.l screenholder,-(%sp)
	move.l screenholder,-(%sp)
	move.w #1,-(%sp)
	move.w #1,-(%sp)
	lea pacman+2,%a3
	move.w (%a3),%d2
	lsl.w #2,%d2
	move.w %d2,%d1
	addq.w #3,%d1
	move.w %d1,-(%sp)
	lea pacman,%a2
	move.w (%a2),%d1
	move.w %d1,%d0
	lsl.w #2,%d0
	add.w %d1,%d0
	move.w %d0,%d1
	addq.w #4,%d1
	move.w %d1,-(%sp)
	move.w %d2,-(%sp)
	move.w %d0,-(%sp)
	jbsr DrawGrayRect2B
	move.w (%a3),%d0
	muls.w #29,%d0
	add.w (%a2),%d0
	move.l level_data,%a0
	clr.b (%a0,%d0.w)
	lea (20,%sp),%sp
	cmp.w #1,game_type.l
	jbne .L97
	subq.w #1,limiting_factor
	jbra .L97
	.even
.L100:
	moveq.l #10,%d0
	add.l %d0,score
	jbra .L98
	.even
.L97:
	move.l -8(%a6),%a2
	move.l -4(%a6),%a3
	unlk %a6
	rts
	.even
	.globl	start_ghost_count
start_ghost_count:
	link.w %a6,#0
	move.w level,%d0
	move.w %d0,%d1
	lsl.w #4,%d1
	sub.w %d0,%d1
	cmp.w #300,%d1
	jble .L102
	move.w #300,%d1
.L102:
	cmp.w #1,game_type.l
	jbne .L103
	moveq.l #10,%d0
	add.l %d0,score
.L103:
	move.w #300,%d0
	sub.w %d1,%d0
	move.w %d0,ghost+10
	move.w %d0,ghost+28
	move.w %d0,ghost+46
	move.w %d0,ghost+64
	clr.w pacman+12
	unlk %a6
	rts
	.even
	.globl	kill_fruit
kill_fruit:
	link.w %a6,#0
	clr.w fruit+12
	unlk %a6
	rts
.LC1:
	.ascii "GAME OVER\0"
	.even
	.globl	game_over
game_over:
	link.w %a6,#0
	clr.w -(%sp)
	pea .LC1
	jbsr text_box
	unlk %a6
	rts
.comm _nostub,2
