#ifndef prototypes_header
#define prototypes_header

/***********************/
/* FUNCTION PROTOTYPES */
/***********************/

///// Pacman.c /////
void						_main					(void);
///// Utility.c /////
void						blur_screen				(void);
BOOL						text_box				(const char *,unsigned short int);
extern BOOL					is_vti				(void);
unsigned char *				get_data_ptr			(unsigned short int);
BOOL						initialize				(void);
void						init_globals			(void);
void						quit					(void);
void						pause					(void);
void						wait					(unsigned long int);
void						DrawStrExt				(signed short int , signed short int , const char * , signed short int , signed short int);
///// Menu.c /////
BOOL						menu					(void);
///// Play.c /////
void						play_pacman				(void);
void						get_level_data			(void);
void						spawn_pacman			(void);
void						spawn_ghost				(signed short int);
void						spawn_fruit				(void);
void						play_level				(void);
void						eat_dot				(void);
void						start_ghost_count			(void);
inline void					kill_fruit				(void);
inline void					game_over				(void);
///// Highscore.c /////
void						high_score				(void);
void						input_str				(unsigned char *, unsigned short int);
///// Draw.c /////
void						draw_level_text			(void);
void						draw_level				(void);
void						draw_score				(void);
void						draw_pacman				(void);
void						draw_ghosts				(void);
void						draw_fruit				(void);
///// Move.c /////
void						move_obj				(OBJECT *);
BOOL						ghost_collide			(void);
BOOL						fruit_collide			(void);



#endif